Package logilab :: Package common :: Module optik_ext

[frames] | no frames]

# Module optik_ext

source code

    Add an abstraction level to transparently import optik classes from optparse
    (python >= 2.3) or the optik package.

    It also defines three new types for optik/optparse command line parser :

      * regexp
        argument of this type will be converted using re.compile
      * csv
        argument of this type will be converted using split(',')
      * yn
        argument of this type will be true if 'y' or 'yes', false if 'n' or 'no'
      * named
        argument of this type are in the form <NAME>=<VALUE> or <NAME>:<VALUE>
      * password
        argument of this type wont be converted but this is used by other tools
        such as interactive prompt for configuration to double check value and
        use an invisible field
      * multiple_choice
        same as default "choice" type but multiple choices allowed
      * file
        argument of this type wont be converted but checked that the given file exists
      * color
        argument of this type wont be converted but checked its either a
        named color or a color specified using hexadecimal notation (preceded by a #)
      * time
        argument of this type will be converted to a float value in seconds
        according to time units (ms, s, min, h, d)
      * bytes
        argument of this type will be converted to a float value in bytes
        according to byte units (b, kb, mb, gb, tb)

Classes
| Option override optik.Option to add some new option types...
| OptionParser override optik.OptionParser to use our Option class...

Variables
| OptionGroup
| OptionValueError
| Values